## designate 11.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

eventlet>=0.26.1 # MIT
Flask!=0.11,>=0.10 # BSD
greenlet>=0.4.15 # MIT
Jinja2>=2.10 # BSD License (3 clause)
jsonschema>=3.2.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.config>=5.2.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.messaging>=12.4.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
python-designateclient>=2.7.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy>=1.2.19 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
WebOb>=1.7.1 # MIT
dnspython>=1.16.0  # http://www.dnspython.org/LICENSE
oslo.db>=8.3.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
Werkzeug>=0.9 # BSD License
python-memcached>=1.56 # PSF
tooz>=1.58.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
os-win>=3.0.0 # Apache-2.0
monasca-statsd>=1.4.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
edgegrid-python>=1.1.1 # Apache-2.0

=== debian/changelog ===
designate (1:11.0.0-2) unstable; urgency=medium

  * Fixed not installing policy.json.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:32:37 +0200

designate (1:11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 16:10:24 +0200

designate (1:11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Use a yaml policy file in /etc/designate/policy.d.
  * Drop add-a-healthcheck-url.patch applied upstream.
  * Black list some failed unit tests:
    - DenominatorAgentBackendTestCase.test_create_zone
    - DenominatorAgentBackendTestCase.test_update_zone

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 09:04:03 +0200

designate (1:10.0.0-3) unstable; urgency=medium

  * Add add-a-healthcheck-url.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 May 2020 18:06:09 +0200

designate (1:10.0.0-2) unstable; urgency=medium

  * Fix-up designate.conf generation (wrong namespace list).

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 May 2020 00:41:53 +0200

designate (1:10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 15:22:47 +0200

designate (1:10.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 13:53:29 +0200

designate (1:10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Experimental_wsgi_support.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 21:22:27 +0200

designate (1:9.0.0-3) unstable; urgency=medium

  * d/watch: Fix debian/watch file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 13 Mar 2020 15:56:35 +0100

designate (1:9.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Oct 2019 00:28:08 +0200

designate (1:9.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:07:50 +0200

designate (1:9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Add Experimental_wsgi_support.patch from upstream.
  * Use uwsgi for designate-api.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2019 23:16:42 +0200

designate (1:8.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 15:31:17 +0200

designate (1:8.0.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 18:18:53 +0200

designate (1:8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:28:25 +0200

=== debian/control ===
Source: designate
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 bandit,
 python3-coverage,
 python3-debtcollector,
 python3-designateclient,
 python3-dnspython (>= 1.16.0),
 python3-edgegrid,
 python3-eventlet (>= 0.26.1),
 python3-fixtures,
 python3-flask,
 python3-futurist,
 python3-greenlet (>= 0.4.15),
 python3-hacking,
 python3-jinja2,
 python3-jsonschema (>= 3.2.0),
 python3-kerberos,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-memcache,
 python3-migrate,
 python3-monasca-statsd,
 python3-netaddr,
 python3-neutronclient,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 0.8.3),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest <!nocheck>,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-requests-mock <!nocheck>,
 python3-six,
 python3-sphinxcontrib.blockdiag <!nodoc>,
 python3-sphinxcontrib.httpdomain <!nodoc>,
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-suds,
 python3-tempest <!nocheck>,
 python3-tenacity (>= 6.0.0),
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 python3-tooz,
 python3-webob,
 python3-webtest <!nocheck>,
 python3-werkzeug,
 python3-zake,
 sqlite3,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/designate
Vcs-Git: https://salsa.debian.org/openstack-team/services/designate.git
Homepage: https://github.com/openstack/designate

Package: designate
Architecture: all
Depends:
 designate-agent (= ${binary:Version}),
 designate-api (= ${binary:Version}),
 designate-central (= ${binary:Version}),
 designate-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-agent
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-api
Architecture: all
Depends:
 adduser,
 debconf,
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 python3-designate (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains common files.

Package: designate-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the documentation.

Package: designate-mdns
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-producer
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - producer
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the producer service.

Package: designate-sink
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-worker
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - worker
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the worker service.

Package: designate-zone-manager
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the zone manager service.

Package: python3-designate
Section: python
Architecture: all
Depends:
 python3-edgegrid,
 python3-debtcollector,
 python3-designateclient,
 python3-dnspython (>= 1.16.0),
 python3-eventlet (>= 0.26.1),
 python3-flask,
 python3-futurist,
 python3-greenlet (>= 0.4.15),
 python3-jinja2,
 python3-jsonschema (>= 3.2.0),
 python3-kerberos,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-memcache,
 python3-migrate,
 python3-monasca-statsd,
 python3-mysqldb,
 python3-netaddr,
 python3-neutronclient,
 python3-os-win,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db (>= 0.8.3),
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-pymysql,
 python3-requests,
 python3-six,
 python3-sqlalchemy (>= 1.2.19),
 python3-stevedore,
 python3-suds,
 python3-tenacity (>= 6.0.0),
 python3-tooz,
 python3-webob,
 python3-werkzeug,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - Python libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/designate-common.postinst debian/designate-common.config debian/designate-api.config debian/designate-api.postinst debian/designate-common.postrm
	rm -rf doc/build build *.egg-info
	rm -f debian/*.init debian/*.upstart debian/*.service
	find . -name '*.pyc' -exec rm {} \;
	rm -f ChangeLog
	rm -f AUTHORS
	rm -rf .testrepository
	rm -f doc/source/_static/designate.conf.sample
	rm -rf debian/*.templates debian/po

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm designate-common.postrm
	pkgos-merge-templates designate-api designate endpoint
	pkgos-merge-templates designate-common designate db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'designate\.tests\.unit\.(?!.*test_pool_manager\.test_service\.PoolManagerInitTest\.test_init_no_pool_targets.*|.*agent\.backends\.test_denominator\.DenominatorAgentBackendTestCase\.test_create_zone.*|.*agent\.backends\.test_denominator\.DenominatorAgentBackendTestCase\.test_update_zone.*)'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	mkdir -p $(CURDIR)/debian/designate-common/usr/share/designate-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf \
		--wrap-width 140 \
		--namespace designate.conf \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace oslo.db \
		--namespace oslo.middleware \
		--namespace oslo.concurrency \
		--namespace keystonemiddleware.auth_token

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf keystone_authtoken designate

	mkdir -p $(CURDIR)/debian/designate-common/etc/designate/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/designate-common/etc/designate/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace designate

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf oslo_policy policy_dirs /etc/designate/policy.d

	pkgos-fix-config-default $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf DEFAULT pybasedir /usr/lib/python3/dist-packages
	pkgos-fix-config-default $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf oslo_concurrency lock_path /run/lock/designate

	dh_install
	dh_missing --fail-missing

	# Install other config files
	mkdir -p $(CURDIR)/debian/designate-common/etc/designate
	cp etc/designate/rootwrap.conf.sample $(CURDIR)/debian/designate-common/etc/designate/rootwrap.conf
	cp -r etc/designate/rootwrap.d $(CURDIR)/debian/designate-common/etc/designate

	cp etc/designate/pools.yaml.sample $(CURDIR)/debian/designate-common/usr/share/designate-common/pools.yaml
	mkdir -p $(CURDIR)/debian/designate-common/usr/share/designate-common/examples
	cp etc/designate/pools.yaml.* $(CURDIR)/debian/designate-common/usr/share/designate-common/examples

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## designate 11.0.2

=== debian/changelog ===
designate (1:11.0.2-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New stable point release for OpenStack Victoria (LP: #1976543).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Jun 2022 14:03:52 -0400

designate (1:11.0.1-0ubuntu1~cloud0) focal-victoria; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/victoria branch.

  [ Chris MacNaughton ]
  * d/watch: Add trailing slash to fix downloads.
  * New stable point release for OpenStack Victoria (LP: #1956993).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 11 Jan 2022 16:58:06 +0000

designate (1:11.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 09:59:33 +0000

designate (1:11.0.0~rc1-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Track 11.x series.
  * New upstream release candidate for OpenStack Victoria.
  * d/p/disable-edgegrid.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 13 Oct 2020 08:07:26 +0000

designate (1:11.0.0~b2~git2020073012.45cb4376-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 12:39:24 +0000

designate (1:11.0.0~b1~git2020062612.eac003cb-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * Align (Build-)Depends with Upstream.
  * d/p/disable-edgegrid.patch: Rebased.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. No longer needed.
  * d/control: Remove version specification for openstack-pkg-tools.
  * d/control: Update Standards-Version to 4.5.0.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 26 Jun 2020 12:48:00 +0000

designate (1:10.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Get tarballs from opendev.org and scope to 10.x series.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725346/)
    to fix Python 3.8 monkey patching (LP: #1863021).
  * d/p/disable-edgegrid.patch: Rebased.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 16:50:55 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate/ designate-(11\.\d.*)\.tar\.gz

## designate 12.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

eventlet>=0.26.1 # MIT
Flask!=0.11,>=0.10 # BSD
greenlet>=0.4.15 # MIT
Jinja2>=2.10 # BSD License (3 clause)
jsonschema>=3.2.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.config>=6.8.0 # Apache-2.0
oslo.concurrency>=4.2.0 # Apache-2.0
oslo.messaging>=12.4.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.upgradecheck>=1.3.0
oslo.utils>=4.5.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=3.1.1 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
python-designateclient>=2.12.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
requests>=2.23.0 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0
six>=1.11.0 # MIT
SQLAlchemy>=1.2.19 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
WebOb>=1.7.1 # MIT
dnspython>=1.16.0  # http://www.dnspython.org/LICENSE
oslo.db>=8.3.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
Werkzeug>=0.9 # BSD License
python-memcached>=1.56 # PSF
tooz>=1.58.0 # Apache-2.0
debtcollector>=1.19.0 # Apache-2.0
os-win>=4.1.0 # Apache-2.0
monasca-statsd>=1.4.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
edgegrid-python>=1.1.1 # Apache-2.0

=== debian/changelog ===
designate (1:12.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 14:59:34 -0400

designate (1:12.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 12.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 29 Mar 2021 12:12:27 +0000

designate (1:11.0.0+git2021012507.e8c901c3-0ubuntu1) hirsute; urgency=medium

  [ Corey Bryant ]
  * d/rules: Override Python 3 shebang.

  [ Chris MacNaughton ]
  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/disable-edgegrid.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:19:52 +0000

designate (1:11.0.0+git2020120911.1ea6d44a-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Dec 2020 11:56:39 -0500

=== debian/control ===
Source: designate
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.19.0),
 python3-designateclient (>= 2.12.0),
 python3-dnspython (>= 1.16.0),
 python3-doc8 (>= 0.6.0),
 python3-edgegrid (>= 1.1.1),
 python3-eventlet (>= 0.26.1),
 python3-fixtures (>= 3.0.0),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.15),
 python3-hacking,
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-memcache (>= 1.56),
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-monasca-statsd (>= 1.4.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-win (>= 4.1.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 8.3.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.0.0),
 python3-pygments (>= 2.2.0),
 python3-pymemcache (>= 1.2.9),
 python3-requests (>= 2.23.0),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-tempest (>= 1:21.0.0),
 python3-tenacity (>= 6.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-werkzeug (>= 0.9),
 python3-zake (>= 0.1.6),
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate
Homepage: https://github.com/openstack/designate

Package: designate
Architecture: all
Depends:
 designate-agent (= ${binary:Version}),
 designate-api (= ${binary:Version}),
 designate-central (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-agent
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-api
Architecture: all
Depends:
 adduser,
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-common
Architecture: all
Depends:
 adduser,
 sqlite3,
 ${misc:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides common files.

Package: designate-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the documentation.

Package: designate-mdns
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-producer
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - producer
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the producer service.

Package: designate-sink
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-worker
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - worker
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the worker service.

Package: designate-zone-manager
Architecture: all
Depends:
 python3-designate (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the zone manager service.

Package: python3-designate
Section: python
Architecture: all
Depends:
 designate-common (= ${binary:Version}),
 python3-babel (>= 2.3.4),
 python3-debtcollector (>= 1.19.0),
 python3-designateclient (>= 2.12.0),
 python3-dnspython (>= 1.16.0),
 python3-eventlet (>= 0.26.1),
 python3-flask (>= 0.10),
 python3-futurist (>= 1.2.0),
 python3-greenlet (>= 0.4.15),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-memcache (>= 1.56),
 python3-migrate (>= 0.11.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-os-win (>= 4.1.0),
 python3-oslo.concurrency (>= 4.2.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 8.3.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 12.4.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.0.0),
 python3-requests (>= 2.23.0),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-stevedore (>= 1:1.20.0),
 python3-suds (>= 0.6),
 python3-tenacity (>= 6.0.0),
 python3-tooz (>= 1.58.0),
 python3-webob (>= 1:1.7.1),
 python3-werkzeug (>= 0.9),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-edgegrid (>= 1.1.1),
 python3-monasca-statsd (>= 1.1.0),
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack DNS as a Service - Python 3 libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python 3 libraries.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate/ designate-(12\.\d.*)\.tar\.gz

## designate 12.1.0

=== debian/changelog ===
designate (1:12.1.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New stable point release for OpenStack Wallaby (LP: #1980366).
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Jul 2022 12:10:53 -0400

designate (1:12.0.1-0ubuntu1~cloud1) focal-wallaby; urgency=medium

  * d/control, d/rules: Bump debhelper compat to 12 (LP: #1960636).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 11:36:09 -0500

designate (1:12.0.1-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/wallaby branch.

  [ Chris MacNaughton ]
  * New stable point release for OpenStack Wallaby (LP: #1956992).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 25 Jan 2022 13:10:04 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Thomas Goirand <zigo@debian.org>,
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -59,7 +59,7 @@
  python3-oslo.serialization (>= 2.25.0),
  python3-oslo.service (>= 1.31.0),
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils (>= 4.5.0),
+ python3-oslo.utils (>= 4.7.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-oslotest (>= 1:3.2.0),
  python3-paste (>= 2.0.2),
@@ -298,7 +298,7 @@
  python3-oslo.serialization (>= 2.25.0),
  python3-oslo.service (>= 1.31.0),
  python3-oslo.upgradecheck (>= 1.3.0),
- python3-oslo.utils (>= 4.5.0),
+ python3-oslo.utils (>= 4.7.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-paste (>= 2.0.2),
  python3-pastedeploy (>= 1.5.0),

## designate 13.0.0

=== requirements.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.service>=1.31.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0
-oslo.utils>=4.5.0 # Apache-2.0
+oslo.utils>=4.7.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 Paste>=2.0.2 # MIT
 PasteDeploy>=1.5.0 # MIT
@@ -30,7 +30,6 @@
 python-neutronclient>=6.7.0 # Apache-2.0
 requests>=2.23.0 # Apache-2.0
 tenacity>=6.0.0 # Apache-2.0
-six>=1.11.0 # MIT
 SQLAlchemy>=1.2.19 # MIT
 sqlalchemy-migrate>=0.11.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
@@ -40,7 +39,7 @@
 oslo.db>=8.3.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
-oslo.policy>=3.6.0 # Apache-2.0
+oslo.policy>=3.7.0 # Apache-2.0
 Werkzeug>=0.9 # BSD License
 python-memcached>=1.56 # PSF
 tooz>=1.58.0 # Apache-2.0

=== debian/changelog ===
designate (1:13.0.0-0ubuntu2) impish; urgency=medium

  * d/gbp.conf: Create stable/xena branch.
  * d/control, d/rules: Bump debhelper compat to 12 (LP: #1960636).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 09:29:56 -0500

designate (1:13.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 13.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:29 +0000

designate (1:12.0.0+git2021090814.17357884-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:55 +0000

designate (1:12.0.0+git2021072116.6fc04e72-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:38:13 -0400

designate (1:12.0.0+git2021061112.ddbbd430-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:17 +0000

=== debian/control ===
--- 
+++ 
@@ -53,7 +53,7 @@
  python3-oslo.log (>= 4.3.0),
  python3-oslo.messaging (>= 12.4.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 3.6.0),
+ python3-oslo.policy (>= 3.7.0),
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.rootwrap (>= 5.8.0),
  python3-oslo.serialization (>= 2.25.0),
@@ -69,7 +69,6 @@
  python3-pymemcache (>= 1.2.9),
  python3-requests (>= 2.23.0),
  python3-requests-mock (>= 1.2.0),
- python3-six (>= 1.11.0),
  python3-sqlalchemy (>= 1.2.19),
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
@@ -292,7 +291,7 @@
  python3-oslo.log (>= 4.3.0),
  python3-oslo.messaging (>= 12.4.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 3.6.0),
+ python3-oslo.policy (>= 3.7.0),
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.rootwrap (>= 5.8.0),
  python3-oslo.serialization (>= 2.25.0),
@@ -305,7 +304,6 @@
  python3-pbr (>= 3.1.1),
  python3-pecan (>= 1.0.0),
  python3-requests (>= 2.23.0),
- python3-six (>= 1.11.0),
  python3-sqlalchemy (>= 1.2.19),
  python3-stevedore (>= 1:1.20.0),
  python3-suds (>= 0.6),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate/ designate-(13\.\d.*)\.tar\.gz
